package com.javaseleniumtemplate.flows;

import com.javaseleniumtemplate.pages.ElaboraCardapioPage;

public class ElaboracaoCardapioFlows {
    ElaboraCardapioPage elaboracaoCardapio;

    public ElaboracaoCardapioFlows(){elaboracaoCardapio = new ElaboraCardapioPage();}

    public void NavegaElaboracaoCardapio(){
      elaboracaoCardapio.clicaMenu();
      elaboracaoCardapio.clicaPlanejamento();
      elaboracaoCardapio.clicaCardapio();
      elaboracaoCardapio.clicaElaboracao();

    }

    public void filtrarServico(String CDSERVICO){
        elaboracaoCardapio.filtrarServico(CDSERVICO);

    }

    public void mesCardapio(){
        elaboracaoCardapio.definePeriodo();
    }

    public void confirmaFiltroCardapio(){
        elaboracaoCardapio.confirmaFiltro();
    }

    public void custoCardapioPlanejado(){
        elaboracaoCardapio.custoCardapioPla();
    }

    public void custoCardapioReal(){
        elaboracaoCardapio.custoCardapioReal();
    }

    public void dataReferencia(String DTREFERENCIA){
        elaboracaoCardapio.dataReferencia(DTREFERENCIA);
    }

    public void elaboraCardapio(String NMPRATO1,String NMPRATO2,String NMPRATO3 ){
        elaboracaoCardapio.elaboraCardapio(NMPRATO1,NMPRATO2,NMPRATO3);
    }

    public void analiseDeCorCardapio(){elaboracaoCardapio.analisarCorCardapio();}

    public void analiseDeCustos(){
        elaboracaoCardapio.analiseCustos();
    }

    public void atualizaDataReferenciaCusto(String CDSERVICO, String DATAREF){
        elaboracaoCardapio.atualizaDataReferencia(CDSERVICO,DATAREF);
    }

    public void atualizaDataRecalculoCusto(String CDSERVICO){
        elaboracaoCardapio.atualizaDataRecalculoCusto(CDSERVICO);
    }

    public void calcularNutrientes(){
        elaboracaoCardapio.consultaNutrientes();
    }

    public void copiaPratosComensais(String CDPRATO,String COMENSAISSEG,String COMENSAISTER, String COMENSAISQUA, String COMENSAISQUI, String COMENSAISSEX, String COMENSAISSAB, String COMENSAISDOM, String COMENSAISFER){
        elaboracaoCardapio.copiarPrato(CDPRATO,COMENSAISSEG,COMENSAISTER,COMENSAISQUA,COMENSAISQUI,COMENSAISSEX,COMENSAISSAB,COMENSAISDOM,COMENSAISFER);
    }

    public void copiarComensais(String CDPRATO){
        elaboracaoCardapio.copiarComensais(CDPRATO);
    }

    public void exportaCardapio(String DTINI, String DTFIM,String CDSERVICO){
        elaboracaoCardapio.exportarCardapio(DTINI, DTFIM,CDSERVICO);
    }

    public void exportaCardapioSobrepondo(String CDSERVICO){elaboracaoCardapio.exportaCardapioSobrepondo(CDSERVICO);}

    public void importaCardapioDia(String CDFILIAL, String CDSERVICO, String CDSERVICOORIGEM, String DTINICIAL, String DTFINAL, String DTDESTINO){
        elaboracaoCardapio.importarCardapioDia(CDFILIAL,CDSERVICO,CDSERVICOORIGEM,DTINICIAL,DTFINAL,DTDESTINO);
    }

    public void importarTipoDePrato(String CDFILIAL, String CDSERVICO, String DTINICIO){
        elaboracaoCardapio.importarTipoPrato(CDFILIAL, CDSERVICO,DTINICIO);
    }

    public void excluirCardapioPeriodo(String DTINICIAL, String DTFINAL){
        elaboracaoCardapio.excluirCardapioPeriodo(DTINICIAL, DTFINAL);
    }

    public void inverterPratosDia(String NMPRATO,String NMPRATO01, String DTINI, String DTFIM){
        elaboracaoCardapio.invertarPrato(NMPRATO,NMPRATO01,DTINI,DTFIM);
    }

    public void excluirPratoDia(){
        elaboracaoCardapio.excluirPrato();
    }

    public void informacaoNutricionaoPrato(){
        elaboracaoCardapio.informacaoNutricional();
    }

    public void revisaoReceitaLocal(){
        elaboracaoCardapio.revisaoReceitaLocal();}

    public void revisaoDeReceitaPorServico(){
        elaboracaoCardapio.revisaoReceitaPorServico();
    }

    public void configurarCardapio(){
        elaboracaoCardapio.configurarCardapio();

    }

    public String validarPratoCardapio(){return elaboracaoCardapio.validaPratoCardapio();}




}
